#include "extdll.h"
#include "util.h"

#include "cbase.h"
#include "effects.h"
#include "aura.h"
#include "classes.h"
#include "magicattack.h"
#include "explodingattack.h"
#include "player.h"
#include "nodes.h"
#include "weapons.h"
#include "soundent.h"
#include "monsters.h"
#include "decals.h"
#include "gamerules.h"

CVegeta::CVegeta ( CBasePlayer *player ): CBaseClass(player) 
{	
}

void CVegeta::AddAllAttacks( void )
{	m_pPlayer->GiveNamedItem("weapon_melee");
	m_pPlayer->GiveNamedItem("weapon_renzoku");
	m_pPlayer->GiveNamedItem("weapon_genericbeam");
	m_pPlayer->GiveNamedItem("weapon_gallitgun");	
	// Moved by Pcjoe - SSJ attack now
	// m_pPlayer->GiveNamedItem("weapon_bigbang");
	m_pPlayer->GiveNamedItem("weapon_sensu");
}

CBaseClass* CVegeta::GetAscendedClass(void)
{	return new CSSJVegeta(m_pPlayer);
}

CSSJVegeta::CSSJVegeta(CBasePlayer *player): CVegeta(player)
{	
}

void CSSJVegeta::AddAllAttacks( void )
{	m_pPlayer->GiveNamedItem("weapon_melee");
	m_pPlayer->GiveNamedItem("weapon_renzoku");
	m_pPlayer->GiveNamedItem("weapon_genericbeam");
	m_pPlayer->GiveNamedItem("weapon_gallitgun");	
	m_pPlayer->GiveNamedItem("weapon_bigbang");
	m_pPlayer->GiveNamedItem("weapon_finalflash");
	m_pPlayer->GiveNamedItem("weapon_sensu");
}

CBaseClass* CSSJVegeta::GetDescendedClass(void)
{	return new CVegeta(m_pPlayer);
}
